package cn.reghao.tnb.account.app.service;

import cn.reghao.jutil.jdk.result.Result;
import cn.reghao.tnb.account.api.dto.AdminCreateAccount;
import cn.reghao.tnb.account.app.model.dto.UserRegisterDto;
import cn.reghao.tnb.account.app.model.po.UserAccount;

/**
 * @author reghao
 * @date 2022-04-13 10:07:28
 */
public interface AccountRegistryService {
    Result createAccount(UserRegisterDto userRegisterDto);
    UserAccount createAccount(String principal, String password);
    void createAccount(AdminCreateAccount adminCreateAccount);
}
